Subject: Re: bug#71866: 30.0.50; [macOS] Cursor hiding char behind it with certain theme customization

From: Gerd Möllmann <[email-masked]>
Date: Tue, 23 Jul 2024 09:40:04 +0200

Dmitry Gutov <[email-masked]> writes:

> On 09/07/2024 21:22, Stefan Kangas wrote:
>> Dmitry Gutov <[email-masked]> writes:
>> 
>>> Not sure what is the difference between our machines - but mine is an M3
>>> Pro, FWIW.
>> M2 Pro here, using the latest version of various libraries available
>> on
>> Homebrew.
>> Maybe some build flags or features are different?
>
> Right, I don't have pass any explicit flags to configure.
>
>> Configured using:
>>   'configure --enable-checking=yes,glyphs
>>   --enable-check-lisp-object-type'
>
> ...but I have just recompiled after re-running configure with the
> above options, and the bug still reproduces. Not 'make boostrap',
> though, just './configure ...' and then 'make'.
>
>> Configured features:
>> ACL GNUTLS LCMS2 LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER PNG SQLITE3
>> THREADS TOOLKIT_SCROLL_BARS TREE_SITTER ZLIB
>
> LCMS2, PNG, SQLITE3 are not in my list, otherwise it's the same.

I can reproduce this with current master, but only with the font
Cascadia Mono. Tried a number of different fonts like Fira Code and
Monaco. Cascadia comes from Homebrew, BTW.

And now to my pet peeve :-). Dmitry could you please comment out the
calls to redisplay (2 of them) in nsterm.m and try again?

(A little background: When compiled with ASAN, one can see that these
calls can access invalid data in a face cache and so on.)